Bug 232460 - net-mgmt/ocsinventory-server and net-mgmt/ocsinventory-ocsreports fixes and upgrade from 2.5 to 2.6
Summary: net-mgmt/ocsinventory-server and net-mgmt/ocsinventory-ocsreports fixes and u...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-19 21:20 UTC by geoffroy desvernay
Modified: 2020-03-18 10:27 UTC (History)
2 users (show)

See Also:


Attachments
svn diff net-mgmt/ocsinventory-server (1.22 KB, patch)
2018-10-19 21:20 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff
svn diff net-mgmt/ocsinventory-ocsreports (2.52 KB, patch)
2018-10-19 21:21 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff
svn diff net-mgmt/ocsinventory-server (2.45 KB, patch)
2020-03-05 15:20 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff
svn diff net-mgmt/ocsinventory-ocsreports (8.24 KB, patch)
2020-03-05 15:21 UTC, geoffroy desvernay
dgeo: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2018-10-19 21:20:46 UTC
Created attachment 198381 [details]
svn diff net-mgmt/ocsinventory-server

* Some bugs stayed in templates files
* Rename ocsreport's ETCDIR to get server and ocsreports live in same ETCDIR (moves only apache config templates, no break on existing setups)
* setup.pl script would need some work too, but no these ones should be a better start - document it
* add missing lang/p5-Switch dependency
Comment 1 geoffroy desvernay 2018-10-19 21:21:24 UTC
Created attachment 198382 [details]
svn diff net-mgmt/ocsinventory-ocsreports
Comment 2 Kurt Jaeger freebsd_committer 2019-02-10 18:26:09 UTC
testbuilds@work
Comment 3 geoffroy desvernay 2019-04-08 15:19:42 UTC
@Kurt did it worked for you ?
Comment 4 Kurt Jaeger freebsd_committer 2019-04-08 18:07:34 UTC
thanks for reminding me, I'll re-do the testbuild. It has been too long,
I do not remember the results.
Comment 5 Kurt Jaeger freebsd_committer 2019-04-09 19:26:55 UTC
I have problems with the builds for ocsreports, because of this:

===>   ocsinventory-ocsreports-2.5_1 depends on file: /usr/local/lib/php/20180731/mysqli.so - not found
===>   Installing existing package /packages/All/php73-mysqli-7.3.4.txz
[cur-default] Installing php73-mysqli-7.3.4...
[cur-default] Extracting php73-mysqli-7.3.4: .......... done
===>   ocsinventory-ocsreports-2.5_1 depends on file: /usr/local/lib/php/20180731/mysqli.so - not found

This happens because I have

     ZTS=on: Force Zend Thread Safety (ZTS) build

for lang/php73, and this installs

/usr/local/lib/php/20180731-zts/mysqli.so

but the check is for

/usr/local/lib/php/20180731/mysqli.so

I have not yet found a solution for this (but I did spend much time on it).
Comment 6 geoffroy desvernay 2019-04-09 21:37:23 UTC
This doesn't seems related to this particular port, but to ports's php.mk, doesn't it ?

If I get it well, using ZTS does break all ports using USE_PHP. This should be worked on in another PR I think…

Do I miss something here ? (I wouldn't be surprised to :)
Comment 7 geoffroy desvernay 2019-04-09 21:44:03 UTC
It seems that PHP_EXT_DIR is not correctly determined in Mk/Uses/php.mk ?

As if "php-config --extension-dir" returned a bad path ?

Sorry I don't have a ZTS version here to check this quickly…
Comment 8 geoffroy desvernay 2020-03-05 15:20:25 UTC
Created attachment 212160 [details]
svn diff net-mgmt/ocsinventory-server

2.6
Comment 9 geoffroy desvernay 2020-03-05 15:21:05 UTC
Created attachment 212161 [details]
svn diff net-mgmt/ocsinventory-ocsreports
Comment 10 geoffroy desvernay 2020-03-05 15:21:46 UTC
patches updated for 2.6
Comment 11 commit-hook freebsd_committer 2020-03-18 10:25:41 UTC
A commit references this bug:

Author: mikael
Date: Wed Mar 18 10:25:34 UTC 2020
New revision: 528638
URL: https://svnweb.freebsd.org/changeset/ports/528638

Log:
  net-mgmt/ocsinventory-server: update to 2.6

  Update to 2.6
  Add missing lang/p5-Switch dependency

  PR:		232460
  Submitted by:	geoffroy Desvernay (maintainer)
  Approved by:	manu (mentor, implicit)

Changes:
  head/net-mgmt/ocsinventory-server/Makefile
  head/net-mgmt/ocsinventory-server/distinfo
  head/net-mgmt/ocsinventory-server/files/pkg-message.in
  head/net-mgmt/ocsinventory-server/pkg-plist
Comment 12 Mikael Urankar freebsd_committer 2020-03-18 10:27:30 UTC
Merci !
Comment 13 commit-hook freebsd_committer 2020-03-18 10:27:43 UTC
A commit references this bug:

Author: mikael
Date: Wed Mar 18 10:26:45 UTC 2020
New revision: 528639
URL: https://svnweb.freebsd.org/changeset/ports/528639

Log:
  net-mgmt/ocsinventory-ocsreports: update to 2.6

  PR:		232460
  Submitted by:	geoffroy Desvernay (maintainer)
  Approved by:	manu (mentor, implicit)

Changes:
  head/net-mgmt/ocsinventory-ocsreports/Makefile
  head/net-mgmt/ocsinventory-ocsreports/distinfo
  head/net-mgmt/ocsinventory-ocsreports/files/apache.conf.in
  head/net-mgmt/ocsinventory-ocsreports/pkg-plist